/* ABOUT SECTION */
.about-section {
  padding: 120px 10% 80px;
  background: linear-gradient(135deg, #0f172a, #1e293b);
}

/* CONTAINER */
.about-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 60px;
}

/* IMAGE */
.about-image img {
  width: 280px;
  border-radius: 20px;
  border: 4px solid #38bdf8;
  box-shadow: 0 10px 30px rgba(0,0,0,0.4);
  transition: 0.3s;
}

.about-image img:hover {
  transform: scale(1.05);
}

/* TEXT */
.about-content {
  max-width: 600px;
}

.about-content h1 {
  font-size: 40px;
  color: #ffffff;
  margin-bottom: 20px;
}

.about-content p {
  color: #94a3b8;
  line-height: 1.7;
  margin-bottom: 15px;
}

/* BUTTONS */
.about-buttons {
  margin-top: 20px;
  display: flex;
  gap: 15px; /* clean spacing */
}
/* RESPONSIVE */
@media (max-width: 992px) {
  .about-container {
    flex-direction: column;
    text-align: center;
  }

  .about-content h1 {
    font-size: 32px;
  }
}

@media (max-width: 576px) {
  .about-section {
    padding: 100px 20px 60px;
  }

  .about-image img {
    width: 200px;
  }

  .about-content p {
    font-size: 14px;
  }
  .about-buttons {
    flex-direction: column;  /* stack buttons */
    align-items: center;
    gap: 12px; /* space between buttons */
  }

  .about-buttons .btn {
    width: 80%; /* makes buttons look balanced */
    max-width: 250px;
  }


}